function [leftformine prefilter] = sup_max(sup,eps,discR,trans_data,classnew,filter,k,imp,maxPattSize,file_result)

x = find(classnew == 0);
y = find(classnew == 1);

cases = trans_data(x,:);
controls = trans_data(y,:);

cases = double(cases);
controls = double(controls);

sup = sup*size(cases,1);

supCases = mean(cases);
supControls = mean(controls);

discRbk = discR;

prefilter = union(find(max([supCases;supControls])<discRbk),find(mean(trans_data)>filter));

prekeep = setdiff(1:size(cases,2),prefilter);
leftformine = prekeep;
save theprekeep prekeep

trans_data(:,prefilter) = [];

dlmwrite('disc_trans',find(trans_data(1,:)==1),' ');
for i = 2:size(trans_data,1)
    dlmwrite('disc_trans',find(trans_data(i,:)==1),'delimiter',' ','-append');
end

fid = fopen('classnew0', 'w');
fprintf(fid, '%d\n', classnew);
fclose(fid);

fid = fopen('classnew1', 'w');
fprintf(fid, '%d\n', 1-classnew);
fclose(fid);


fid = fopen('disc_rw_result_caco','w');
fprintf(fid,' \n');
fclose(fid);

torun1 = sprintf('./smp disc_trans %d %d classnew0 classnew1 %d %d disc_rw_result_caco %d',eps,discR,k,imp,maxPattSize);

dlmwrite('bottomIndivSup.txt',sum(controls),' ');
dos(torun1);

incaseswefound = size(visualizeTransactionNOPLOT('disc_rw_result_caco'),1)

discPatternsMatrix = visualizeTransactionNOPLOT('disc_rw_result_caco');

nNewFeature = size(discPatternsMatrix,1);

fid = fopen(file_result,'a');
for i=1:nNewFeature;
	y=find(discPatternsMatrix(i,:) == 1);
	trueItemset = prekeep(1,y);
	fprintf(fid, '%d ',trueItemset);
	fprintf(fid,'\n');
end
fclose(fid);

torun2 = 'rm disc_trans disc_rw_result_caco gmon.out bottomIndivSup.txt classnew0 classnew1 theprekeep.mat';

dos(torun2);

